Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#16708 closed defect (duplicate)

Globe is unusable with TBB experimental 5.0a3

Reported by: cypherpunks Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Keywords: tbb-usability-website
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

It seems that Globe is unusable with TBB experimental 5.0a3 also allowing scripts globally and/or setting a low security level.
globe.torprojet.org shows only a blank page if browsed by TBB 5.0a3.

Child Tickets

Change History (3)

comment:1 Changed 3 years ago by gk

Keywords: tbb-usability-website added; globe tbb 5.0a3 tbb-5.0a3 removed
Resolution: duplicate
Status: newclosed

I get

InvalidStateError: A mutation operation was attempted on a database that did not allow mutations.1 globe.0.4.8.min.js:2:0

Enabling IndexedDB (which is *not* recommended) solves this. 5.0a4 and the next stable are going to solve this as well it seems, thanks to the patch for #16528. Marking this as duplicate then.

comment:2 in reply to:  1 Changed 3 years ago by cypherpunks

Replying to gk:

5.0a4 and the next stable are going to solve this as well it seems

However current stable TBB 4.5.3 is already not affected (with dom.indexedDB.enabled set to false).

comment:3 Changed 3 years ago by mikeperry

I confirm that 5.0a4 works for me for globe.

Note: See TracTickets for help on using tickets.